diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/image.txi
--- a/doc/interpreter/image.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/image.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -63,18 +63,19 @@
 @end group
 @end example
 
-@DOCSTRING(imread)
+@ref{XREFimread, , @code{imread}}: Read images from various file formats.
 
-@DOCSTRING(imwrite)
+@ref{XREFimwrite, , @code{imwrite}}: Write images in various file formats.
 
-@DOCSTRING(IMAGE_PATH)
+@ref{XREFIMAGE_PATH, , @code{IMAGE_PATH}}: Query or set the internal variable that specifies a colon separated list
+of d...
 
 It is possible to get information about an image file on disk, without actually
 reading it into Octave.  This is done using the @code{imfinfo} function which
 provides read access to many of the parameters stored in the header of the
 image file.
 
-@DOCSTRING(imfinfo)
+@ref{XREFimfinfo, , @code{imfinfo}}: Read image information from a file.
 
 By default, Octave's image IO functions (@code{imread}, @code{imwrite},
 and @code{imfinfo}) use the @code{GraphicsMagick} library for their
@@ -98,7 +99,7 @@
 still be read correctly, and that even unlisted formats are not necessarily
 unsupported.
 
-@DOCSTRING(imformats)
+@ref{XREFimformats, , @code{imformats}}: Manage supported image formats.
 
 @node Displaying Images
 @section Displaying Images
@@ -107,11 +108,12 @@
 The most basic function for this is the @code{imshow} function that
 shows the image given in the first input argument.
 
-@DOCSTRING(imshow)
+@ref{XREFimshow, , @code{imshow}}: Display the image IM, where IM can be a 2-dimensional (grayscale image)
+or a ...
 
-@DOCSTRING(image)
+@ref{XREFimage, , @code{image}}: Display a matrix as an indexed color image.
 
-@DOCSTRING(imagesc)
+@ref{XREFimagesc, , @code{imagesc}}: Display a scaled version of the matrix IMG as a color image.
 
 @node Representing Images
 @section Representing Images
@@ -143,100 +145,102 @@
 The following convenience functions are available for conversion between image
 formats.
 
-@DOCSTRING(im2double)
+@ref{XREFim2double, , @code{im2double}}: Convert image to double precision.
 
-@DOCSTRING(gray2ind)
+@ref{XREFgray2ind, , @code{gray2ind}}: Convert a grayscale or binary intensity image to an indexed image.
 
-@DOCSTRING(ind2gray)
+@ref{XREFind2gray, , @code{ind2gray}}: Convert a color indexed image to a grayscale intensity image.
 
-@DOCSTRING(rgb2ind)
+@ref{XREFrgb2ind, , @code{rgb2ind}}: Convert an image in red-green-blue (RGB) color space to an indexed
+image.
 
-@DOCSTRING(ind2rgb)
+@ref{XREFind2rgb, , @code{ind2rgb}}: Convert an indexed image to red, green, and blue color components.
 
 Octave also provides tools to produce and work with movie frame structures.
 Those structures encapsulate the image data (@qcode{"cdata"} field) together
 with the corresponding colormap (@qcode{"colormap"} field).
 
-@DOCSTRING(getframe)
+@ref{XREFgetframe, , @code{getframe}}: Capture a figure or axes as a movie frame structure.
 
-@DOCSTRING(movie)
+@ref{XREFmovie, , @code{movie}}: Play a movie defined by an array of frame structures.
 
-@DOCSTRING(frame2im)
+@ref{XREFframe2im, , @code{frame2im}}: Convert movie frame to indexed image.
 
-@DOCSTRING(im2frame)
+@ref{XREFim2frame, , @code{im2frame}}: Convert image to movie frame.
 
 The @code{colormap} function is used to change the colormap of the current
 axes or figure.
 
-@DOCSTRING(colormap)
+@ref{XREFcolormap, , @code{colormap}}: Query or set the current colormap.
 
-@DOCSTRING(iscolormap)
+@ref{XREFiscolormap, , @code{iscolormap}}: Return true if CMAP is a colormap.
 
 The following functions return predefined colormaps, the same that can be
 requested by name using the @code{colormap} function.
 
-@DOCSTRING(rgbplot)
+@ref{XREFrgbplot, , @code{rgbplot}}: Plot the components of a colormap.
 
-@DOCSTRING(autumn)
+@ref{XREFautumn, , @code{autumn}}: Create color colormap.
 
-@DOCSTRING(bone)
+@ref{XREFbone, , @code{bone}}: Create color colormap.
 
-@DOCSTRING(colorcube)
+@ref{XREFcolorcube, , @code{colorcube}}: Create color colormap.
 
-@DOCSTRING(cool)
+@ref{XREFcool, , @code{cool}}: Create color colormap.
 
-@DOCSTRING(copper)
+@ref{XREFcopper, , @code{copper}}: Create color colormap.
 
-@DOCSTRING(cubehelix)
+@ref{XREFcubehelix, , @code{cubehelix}}: Create cubehelix colormap.
 
-@DOCSTRING(flag)
+@ref{XREFflag, , @code{flag}}: Create color colormap.
 
-@DOCSTRING(gray)
+@ref{XREFgray, , @code{gray}}: Create gray colormap.
 
-@DOCSTRING(hot)
+@ref{XREFhot, , @code{hot}}: Create color colormap.
 
-@DOCSTRING(hsv)
+@ref{XREFhsv, , @code{hsv}}: Create color colormap.
 
-@DOCSTRING(jet)
+@ref{XREFjet, , @code{jet}}: Create color colormap.
 
-@DOCSTRING(lines)
+@ref{XREFlines, , @code{lines}}: Create color colormap.
 
-@DOCSTRING(ocean)
+@ref{XREFocean, , @code{ocean}}: Create color colormap.
 
-@DOCSTRING(pink)
+@ref{XREFpink, , @code{pink}}: Create color colormap.
 
-@DOCSTRING(prism)
+@ref{XREFprism, , @code{prism}}: Create color colormap.
 
-@DOCSTRING(rainbow)
+@ref{XREFrainbow, , @code{rainbow}}: Create color colormap.
 
-@DOCSTRING(spring)
+@ref{XREFspring, , @code{spring}}: Create color colormap.
 
-@DOCSTRING(summer)
+@ref{XREFsummer, , @code{summer}}: Create color colormap.
 
-@DOCSTRING(turbo)
+@ref{XREFturbo, , @code{turbo}}: Create color colormap.
 
-@DOCSTRING(viridis)
+@ref{XREFviridis, , @code{viridis}}: Create color colormap.
 
-@DOCSTRING(white)
+@ref{XREFwhite, , @code{white}}: Create color colormap.
 
-@DOCSTRING(winter)
+@ref{XREFwinter, , @code{winter}}: Create color colormap.
 
-@DOCSTRING(contrast)
+@ref{XREFcontrast, , @code{contrast}}: Return a gray colormap that maximizes the contrast in an image.
 
 The following three functions modify the existing colormap rather than
 replace it.
 
-@DOCSTRING(brighten)
+@ref{XREFbrighten, , @code{brighten}}: Brighten or darken a colormap.
 
-@DOCSTRING(spinmap)
+@ref{XREFspinmap, , @code{spinmap}}: Cycle the colormap for T seconds with a color increment of INC.
 
-@DOCSTRING(whitebg)
+@ref{XREFwhitebg, , @code{whitebg}}: Invert the colors in the current color scheme.
 
 The following functions can be used to manipulate colormaps.
 
-@DOCSTRING(cmunique)
+@ref{XREFcmunique, , @code{cmunique}}: Convert an input image X to an output indexed image Y which uses the
+smallest...
 
-@DOCSTRING(cmpermute)
+@ref{XREFcmpermute, , @code{cmpermute}}: Reorder colors in a colormap.
 
 @node Plotting on top of Images
 @section Plotting on top of Images
@@ -272,8 +276,9 @@
 and vice versa.  It is also possible to convert from a color RGB image to a
 grayscale image.
 
-@DOCSTRING(rgb2hsv)
+@ref{XREFrgb2hsv, , @code{rgb2hsv}}: Transform a colormap or image from RGB to HSV color space.
 
-@DOCSTRING(hsv2rgb)
+@ref{XREFhsv2rgb, , @code{hsv2rgb}}: Transform a colormap or image from HSV to RGB color space.
 
-@DOCSTRING(rgb2gray)
+@ref{XREFrgb2gray, , @code{rgb2gray}}: Transform an image or colormap from red-green-blue (RGB) color space to
+a gra...
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/interp.txi
--- a/doc/interpreter/interp.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/interp.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -31,7 +31,7 @@
 of which are described in this section.  @ref{Polynomial Interpolation}
 and @ref{Interpolation on Scattered Data} describe additional methods.
 
-@DOCSTRING(interp1)
+@ref{XREFinterp1, , @code{interp1}}: One-dimensional interpolation.
 
 There are some important differences between the various interpolation
 methods.  The @qcode{"spline"} method enforces that both the first and second
@@ -86,7 +86,7 @@
 converted to the frequency domain, padded with zeros and then
 reconverted to the time domain.
 
-@DOCSTRING(interpft)
+@ref{XREFinterpft, , @code{interpft}}: Fourier interpolation.
 
 There are two significant limitations on Fourier interpolation.  First,
 the function signal is assumed to be periodic, and so non-periodic
@@ -125,7 +125,7 @@
 In addition, the support functions @code{spline} and @code{lookup} that
 underlie the @code{interp1} function can be called directly.
 
-@DOCSTRING(spline)
+@ref{XREFspline, , @code{spline}}: Return the cubic spline interpolant of points X and Y.
 
 @node Multi-dimensional Interpolation
 @section Multi-dimensional Interpolation
@@ -134,11 +134,11 @@
 similar capabilities.  Methods using Delaunay tessellation are described
 in @ref{Interpolation on Scattered Data}.
 
-@DOCSTRING(interp2)
+@ref{XREFinterp2, , @code{interp2}}: Two-dimensional interpolation.
 
-@DOCSTRING(interp3)
+@ref{XREFinterp3, , @code{interp3}}: Three-dimensional interpolation.
 
-@DOCSTRING(interpn)
+@ref{XREFinterpn, , @code{interpn}}: Perform N-dimensional interpolation, where N is at least two.
 
 A significant difference between @code{interpn} and the other two
 multi-dimensional interpolation functions is the fashion in which the
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/io.txi
--- a/doc/interpreter/io.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/io.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -64,13 +64,15 @@
 The @code{format} command offers some control over the way Octave prints
 values with @code{disp} and through the normal echoing mechanism.
 
-@DOCSTRING(disp)
+@ref{XREFdisp, , @code{disp}}: Display the value of X.
 
-@DOCSTRING(list_in_columns)
+@ref{XREFlist_in_columns, , @code{list_in_columns}}: Return a string containing the elements of ARG listed in columns with an
+over...
 
-@DOCSTRING(terminal_size)
+@ref{XREFterminal_size, , @code{terminal_size}}: Query or set the size of the terminal window.
 
-@DOCSTRING(format)
+@ref{XREFformat, , @code{format}}: Reset or specify the format of the output produced by 'disp' and
+Octave's nor...
 
 @menu
 * Paging Screen Output::
@@ -98,17 +100,21 @@
 You can select the program to run as the pager with the @code{PAGER} function,
 and configure the pager itself with the @code{PAGER_FLAGS} function.
 
-@DOCSTRING(more)
+@ref{XREFmore, , @code{more}}: Turn output pagination on or off.
 
-@DOCSTRING(PAGER)
+@ref{XREFPAGER, , @code{PAGER}}: Query or set the internal variable that specifies the program to use to
+displ...
 
-@DOCSTRING(PAGER_FLAGS)
+@ref{XREFPAGER_FLAGS, , @code{PAGER_FLAGS}}: Query or set the internal variable that specifies the options to pass to
+the ...
 
-@DOCSTRING(page_screen_output)
+@ref{XREFpage_screen_output, , @code{page_screen_output}}: Query or set the internal variable that controls whether output intended
+for ...
 
-@DOCSTRING(page_output_immediately)
+@ref{XREFpage_output_immediately, , @code{page_output_immediately}}: Query or set the internal variable that controls whether Octave sends
+output ...
 
-@DOCSTRING(fflush)
+@ref{XREFfflush, , @code{fflush}}: Flush output to file descriptor FID.
 
 @c FIXME: maybe this would be a good place to describe the following message:
 @c
@@ -124,11 +130,12 @@
 used for managing an interactive dialog with a user, and the
 @code{keyboard} function is normally used for doing simple debugging.
 
-@DOCSTRING(input)
+@ref{XREFinput, , @code{input}}: Print PROMPT and wait for user input.
 
-@DOCSTRING(menu)
+@ref{XREFmenu, , @code{menu}}: Display a menu with heading TITLE and options OPT1, ..., and wait for
+user in...
 
-@DOCSTRING(yes_or_no)
+@ref{XREFyes_or_no, , @code{yes_or_no}}: Ask the user a yes-or-no question.
 
 For @code{input}, the normal command line history and editing functions
 are available at the prompt.
@@ -137,7 +144,7 @@
 character from the keyboard without requiring the user to type a
 carriage return.
 
-@DOCSTRING(kbhit)
+@ref{XREFkbhit, , @code{kbhit}}: Read a single keystroke from the keyboard.
 
 @node Simple File I/O
 @subsection Simple File I/O
@@ -174,21 +181,24 @@
 @end group
 @end example
 
-@DOCSTRING(save)
+@ref{XREFsave, , @code{save}}: Save the named variables V1, V2, ..., in the file FILE.
 
 There are three functions that modify the behavior of @code{save}.
 
-@DOCSTRING(save_default_options)
+@ref{XREFsave_default_options, , @code{save_default_options}}: Query or set the internal variable that specifies the default options
+for the...
 
-@DOCSTRING(save_precision)
-
-@DOCSTRING(save_header_format_string)
+@ref{XREFsave_precision, , @code{save_precision}}: Query or set the internal variable that specifies the number of digits
+to kee...
 
-@DOCSTRING(load)
+@ref{XREFsave_header_format_string, , @code{save_header_format_string}}: Query or set the internal variable that specifies the format string used
+for ...
 
-@DOCSTRING(fileread)
+@ref{XREFload, , @code{load}}: Load the named variables V1, V2, ..., from the file FILE.
 
-@DOCSTRING(native_float_format)
+@ref{XREFfileread, , @code{fileread}}: Read the contents of FILENAME and return it as a string.
+
+@ref{XREFnative_float_format, , @code{native_float_format}}: Return the native floating point format as a string.
 
 It is possible to write data to a file in a similar way to the
 @code{disp} function for writing data to the screen.  The @code{fdisp}
@@ -209,35 +219,37 @@
 @xref{Opening and Closing Files}, for details on how to use @code{fopen}
 and @code{fclose}.
 
-@DOCSTRING(fdisp)
+@ref{XREFfdisp, , @code{fdisp}}: Display the value of X on the stream FID.
 
 Octave can also read and write matrices text files such as comma
 separated lists.
 
-@DOCSTRING(dlmwrite)
+@ref{XREFdlmwrite, , @code{dlmwrite}}: Write the numeric matrix M to the text file FILE using a delimiter.
 
-@DOCSTRING(dlmread)
+@ref{XREFdlmread, , @code{dlmread}}: Read numeric data from the text file FILE which uses the delimiter SEP
+betwee...
 
-@DOCSTRING(csvwrite)
+@ref{XREFcsvwrite, , @code{csvwrite}}: Write the numeric matrix X to the file FILENAME in comma-separated-value
+(CSV...
 
-@DOCSTRING(csvread)
+@ref{XREFcsvread, , @code{csvread}}: Read the comma-separated-value (CSV) file FILENAME into the matrix X.
 
 Formatted data from can be read from, or written to, text files as well.
 
-@DOCSTRING(textread)
+@ref{XREFtextread, , @code{textread}}: This function is obsolete.
 
-@DOCSTRING(textscan)
+@ref{XREFtextscan, , @code{textscan}}: Read data from a text file or string.
 
 The @code{importdata} function has the ability to work with a wide
 variety of data.
 
-@DOCSTRING(importdata)
+@ref{XREFimportdata, , @code{importdata}}: Import data from the file FNAME.
 
 After importing, the data may need to be transformed before further analysis.
 The @code{rescale} function can shift and normalize a data set to a specified
 range.
 
-@DOCSTRING(rescale)
+@ref{XREFrescale, , @code{rescale}}: Scale matrix elements to a specified range of values.
 
 @menu
 * Saving Data on Unexpected Exits::
@@ -253,19 +265,26 @@
 most often is reasonable it can be changed through the following
 functions.
 
-@DOCSTRING(crash_dumps_octave_core)
+@ref{XREFcrash_dumps_octave_core, , @code{crash_dumps_octave_core}}: Query or set the internal variable that controls whether Octave tries to
+save...
 
-@DOCSTRING(sighup_dumps_octave_core)
+@ref{XREFsighup_dumps_octave_core, , @code{sighup_dumps_octave_core}}: Query or set the internal variable that controls whether Octave tries to
+save...
 
-@DOCSTRING(sigquit_dumps_octave_core)
+@ref{XREFsigquit_dumps_octave_core, , @code{sigquit_dumps_octave_core}}: Query or set the internal variable that controls whether Octave tries to
+save...
 
-@DOCSTRING(sigterm_dumps_octave_core)
+@ref{XREFsigterm_dumps_octave_core, , @code{sigterm_dumps_octave_core}}: Query or set the internal variable that controls whether Octave tries to
+save...
 
-@DOCSTRING(octave_core_file_options)
+@ref{XREFoctave_core_file_options, , @code{octave_core_file_options}}: Query or set the internal variable that specifies the options used for
+saving...
 
-@DOCSTRING(octave_core_file_limit)
+@ref{XREFoctave_core_file_limit, , @code{octave_core_file_limit}}: Query or set the internal variable that specifies the maximum amount of
+memor...
 
-@DOCSTRING(octave_core_file_name)
+@ref{XREFoctave_core_file_name, , @code{octave_core_file_name}}: Query or set the internal variable that specifies the name of the file
+used f...
 
 @node C-Style I/O Functions
 @section C-Style I/O Functions
@@ -283,11 +302,11 @@
 always use the symbolic names given in the table below, since it will
 make your programs easier to understand.
 
-@DOCSTRING(stdin)
+@ref{XREFstdin, , @code{stdin}}: Return the numeric value corresponding to the standard input stream.
 
-@DOCSTRING(stdout)
+@ref{XREFstdout, , @code{stdout}}: Return the numeric value corresponding to the standard output stream.
 
-@DOCSTRING(stderr)
+@ref{XREFstderr, , @code{stderr}}: Return the numeric value corresponding to the standard error stream.
 
 @menu
 * Opening and Closing Files::
@@ -331,11 +350,11 @@
 @end group
 @end example
 
-@DOCSTRING(fopen)
+@ref{XREFfopen, , @code{fopen}}: Open a file for low-level I/O or query open files and file descriptors.
 
-@DOCSTRING(fclose)
+@ref{XREFfclose, , @code{fclose}}: Close the file specified by the file descriptor FID.
 
-@DOCSTRING(is_valid_file_id)
+@ref{XREFis_valid_file_id, , @code{is_valid_file_id}}: Return true if FID refers to an open file.
 
 @node Simple Output
 @subsection Simple Output
@@ -354,13 +373,13 @@
 @end group
 @end example
 
-@DOCSTRING(fputs)
+@ref{XREFfputs, , @code{fputs}}: Write the string STRING to the file with file descriptor FID.
 
 A function much similar to @code{fputs} is available for writing data
 to the screen.  The @code{puts} function works just like @code{fputs}
 except it doesn't take a file pointer as its input.
 
-@DOCSTRING(puts)
+@ref{XREFputs, , @code{puts}}: Write a string to the standard output with no formatting.
 
 @node Line-Oriented Input
 @subsection Line-Oriented Input
@@ -382,11 +401,14 @@
 This of course assumes that the file @samp{free.txt} exists and contains
 the line @samp{Free Software is needed for Free Science}.
 
-@DOCSTRING(fgetl)
+@ref{XREFfgetl, , @code{fgetl}}: Read characters from a file, stopping after a newline, or EOF, or LEN
+charact...
 
-@DOCSTRING(fgets)
+@ref{XREFfgets, , @code{fgets}}: Read characters from a file, stopping after a newline, or EOF, or LEN
+charact...
 
-@DOCSTRING(fskipl)
+@ref{XREFfskipl, , @code{fskipl}}: Read and skip COUNT lines from the file specified by the file descriptor
+FID.
 
 @node Formatted Output
 @subsection Formatted Output
@@ -402,11 +424,13 @@
 the template string (e.g., @qcode{"@backslashchar{}n"} => newline) are
 expanded even when the template string is defined with single quotes.
 
-@DOCSTRING(printf)
+@ref{XREFprintf, , @code{printf}}: Print optional arguments under the control of the template string
+TEMPLATE to...
 
-@DOCSTRING(fprintf)
+@ref{XREFfprintf, , @code{fprintf}}: This function is equivalent to 'printf', except that the output is
+written to...
 
-@DOCSTRING(sprintf)
+@ref{XREFsprintf, , @code{sprintf}}: This is like 'printf', except that the output is returned as a string.
 
 The @code{printf} function can be used to print any number of arguments.
 The template string argument you supply in a call provides
@@ -807,11 +831,13 @@
 functions.  One can be used to extract vectors of data from a file, and
 the other is more `C-like'.
 
-@DOCSTRING(fscanf)
+@ref{XREFfscanf, , @code{fscanf}}: In the first form, read from FID according to TEMPLATE, returning the
+result ...
 
-@DOCSTRING(scanf)
+@ref{XREFscanf, , @code{scanf}}: This is equivalent to calling 'fscanf' with FID = 'stdin'.
 
-@DOCSTRING(sscanf)
+@ref{XREFsscanf, , @code{sscanf}}: This is like 'fscanf', except that the characters are taken from the
+string S...
 
 Calls to @code{scanf} are superficially similar to calls to
 @code{printf} in that arbitrary arguments are read under the control of
@@ -1051,9 +1077,10 @@
 of integer data and convert among the supported floating point formats
 as the data are read.
 
-@DOCSTRING(fread)
+@ref{XREFfread, , @code{fread}}: Read binary data from the file specified by the file descriptor FID.
 
-@DOCSTRING(fwrite)
+@ref{XREFfwrite, , @code{fwrite}}: Write data in binary form to the file specified by the file descriptor
+FID, r...
 
 @node Temporary Files
 @subsection Temporary Files
@@ -1063,15 +1090,18 @@
 within Octave needs to access data.  When Octave exits all temporary
 files will be deleted, so this step need not be executed manually.
 
-@DOCSTRING(mkstemp)
+@ref{XREFmkstemp, , @code{mkstemp}}: Return the file descriptor FID corresponding to a new temporary file
+with a u...
 
-@DOCSTRING(tmpfile)
+@ref{XREFtmpfile, , @code{tmpfile}}: Return the file ID corresponding to a new temporary file with a unique
+name.
 
-@DOCSTRING(tempname)
+@ref{XREFtempname, , @code{tempname}}: Return a unique temporary filename as a string.
 
-@DOCSTRING(tempdir)
+@ref{XREFtempdir, , @code{tempdir}}: Return the name of the host system's directory for temporary files.
 
-@DOCSTRING(P_tmpdir)
+@ref{XREFP_tmpdir, , @code{P_tmpdir}}: Return the name of the host system's *default* directory for temporary
+files.
 
 @node EOF and Errors
 @subsection End of File and Errors
@@ -1099,13 +1129,16 @@
 line.  This has the potential advantage of removing the loop in the
 above code.
 
-@DOCSTRING(feof)
+@ref{XREFfeof, , @code{feof}}: Return 1 if an end-of-file condition has been encountered for the file
+specif...
 
-@DOCSTRING(ferror)
+@ref{XREFferror, , @code{ferror}}: Query the error status of the stream specified by file descriptor FID.
 
-@DOCSTRING(fclear)
+@ref{XREFfclear, , @code{fclear}}: Clear the stream state for the file specified by the file descriptor
+FID.
 
-@DOCSTRING(freport)
+@ref{XREFfreport, , @code{freport}}: Print a list of which files have been opened, and whether they are open
+for r...
 
 @node File Positioning
 @subsection File Positioning
@@ -1113,17 +1146,22 @@
 Three functions are available for setting and determining the position of
 the file pointer for a given file.
 
-@DOCSTRING(ftell)
+@ref{XREFftell, , @code{ftell}}: Return the position of the file pointer as the number of characters from
+the ...
 
-@DOCSTRING(fseek)
+@ref{XREFfseek, , @code{fseek}}: Set the file pointer to the location OFFSET within the file FID.
 
-@DOCSTRING(SEEK_SET)
+@ref{XREFSEEK_SET, , @code{SEEK_SET}}: Return the numerical value to pass to 'fseek' to position the file
+pointer re...
 
-@DOCSTRING(SEEK_CUR)
+@ref{XREFSEEK_CUR, , @code{SEEK_CUR}}: Return the numerical value to pass to 'fseek' to position the file
+pointer re...
 
-@DOCSTRING(SEEK_END)
+@ref{XREFSEEK_END, , @code{SEEK_END}}: Return the numerical value to pass to 'fseek' to position the file
+pointer re...
 
-@DOCSTRING(frewind)
+@ref{XREFfrewind, , @code{frewind}}: Move the file pointer to the beginning of the file specified by file
+descript...
 
 The following example stores the current file position in the variable
 @code{marker}, moves the pointer to the beginning of the file, reads
diff -r 11a8c8e0ad14 -r fade650e869d doc/interpreter/linalg.txi
--- a/doc/interpreter/linalg.txi	Tue Mar 30 21:57:59 2021 +0200
+++ b/doc/interpreter/linalg.txi	Tue Mar 30 22:08:44 2021 +0200
@@ -94,139 +94,164 @@
 @section Basic Matrix Functions
 @cindex matrix functions, basic
 
-@DOCSTRING(balance)
+@ref{XREFbalance, , @code{balance}}: Balance the matrix A to reduce numerical errors in future calculations.
 
-@DOCSTRING(bandwidth)
+@ref{XREFbandwidth, , @code{bandwidth}}: Compute the bandwidth of A.
 
-@DOCSTRING(cond)
+@ref{XREFcond, , @code{cond}}: Compute the P-norm condition number of a matrix with respect to
+inversion.
 
-@DOCSTRING(condeig)
+@ref{XREFcondeig, , @code{condeig}}: Compute condition numbers of a matrix with respect to eigenvalues.
 
-@DOCSTRING(det)
-
-@DOCSTRING(eig)
+@ref{XREFdet, , @code{det}}: Compute the determinant of A.
 
-@DOCSTRING(givens)
+@ref{XREFeig, , @code{eig}}: Compute the eigenvalues (LAMBDA) and optionally the right eigenvectors
+(V) an...
 
-@DOCSTRING(gsvd)
+@ref{XREFgivens, , @code{givens}}: Compute the Givens rotation matrix G.
+
+@ref{XREFgsvd, , @code{gsvd}}: Compute the generalized singular value decomposition of (A, B).
 
-@DOCSTRING(planerot)
+@ref{XREFplanerot, , @code{planerot}}: Compute the Givens rotation matrix for the two-element column vector X.
 
-@DOCSTRING(inv)
+@ref{XREFinv, , @code{inv}}: Compute the inverse of the square matrix A.
 
-@DOCSTRING(linsolve)
+@ref{XREFlinsolve, , @code{linsolve}}: Solve the linear system 'A*x = b'.
 
-@DOCSTRING(matrix_type)
+@ref{XREFmatrix_type, , @code{matrix_type}}: Identify the matrix type or mark a matrix as a particular type.
 
-@DOCSTRING(norm)
+@ref{XREFnorm, , @code{norm}}: Compute the p-norm of the matrix A.
 
-@DOCSTRING(null)
+@ref{XREFnull, , @code{null}}: Return an orthonormal basis Z of the null space of A.
 
-@DOCSTRING(orth)
+@ref{XREForth, , @code{orth}}: Return an orthonormal basis of the range space of A.
 
-@DOCSTRING(mgorth)
+@ref{XREFmgorth, , @code{mgorth}}: Orthogonalize a given column vector X with respect to a set of
+orthonormal ve...
 
-@DOCSTRING(pinv)
+@ref{XREFpinv, , @code{pinv}}: Return the Moore-Penrose pseudoinverse of X.
 @cindex pseudoinverse
 
-@DOCSTRING(rank)
+@ref{XREFrank, , @code{rank}}: Compute the rank of matrix A, using the singular value decomposition.
 
-@DOCSTRING(rcond)
+@ref{XREFrcond, , @code{rcond}}: Compute the 1-norm estimate of the reciprocal condition number as
+returned by...
 
-@DOCSTRING(trace)
+@ref{XREFtrace, , @code{trace}}: Compute the trace of A, the sum of the elements along the main diagonal.
 
-@DOCSTRING(rref)
+@ref{XREFrref, , @code{rref}}: Return the reduced row echelon form of A.
 
-@DOCSTRING(vecnorm)
+@ref{XREFvecnorm, , @code{vecnorm}}: Return the vector p-norm of the elements of array A along dimension DIM.
 
 @node Matrix Factorizations
 @section Matrix Factorizations
 @cindex matrix factorizations
 
-@DOCSTRING(chol)
+@ref{XREFchol, , @code{chol}}: Compute the upper Cholesky factor, R, of the real symmetric or complex
+Hermit...
 
-@DOCSTRING(cholinv)
-
-@DOCSTRING(chol2inv)
+@ref{XREFcholinv, , @code{cholinv}}: Compute the inverse of the symmetric positive definite matrix A using
+the Cho...
 
-@DOCSTRING(cholupdate)
+@ref{XREFchol2inv, , @code{chol2inv}}: Invert a symmetric, positive definite square matrix from its Cholesky
+decompo...
 
-@DOCSTRING(cholinsert)
+@ref{XREFcholupdate, , @code{cholupdate}}: Update or downdate a Cholesky factorization.
 
-@DOCSTRING(choldelete)
+@ref{XREFcholinsert, , @code{cholinsert}}: Update a Cholesky factorization given a row or column to insert in the
+origin...
 
-@DOCSTRING(cholshift)
+@ref{XREFcholdelete, , @code{choldelete}}: Update a Cholesky factorization given a row or column to delete from the
+orig...
 
-@DOCSTRING(hess)
+@ref{XREFcholshift, , @code{cholshift}}: Update a Cholesky factorization given a range of columns to shift in the
+orig...
 
-@DOCSTRING(lu)
+@ref{XREFhess, , @code{hess}}: Compute the Hessenberg decomposition of the matrix A.
 
-@DOCSTRING(luupdate)
+@ref{XREFlu, , @code{lu}}: Compute the LU decomposition of A.
 
-@DOCSTRING(qr)
+@ref{XREFluupdate, , @code{luupdate}}: Given an LU factorization of a real or complex matrix A = L*U, L lower
+unit t...
 
-@DOCSTRING(qrupdate)
+@ref{XREFqr, , @code{qr}}: Compute the QR factorization of A, using standard LAPACK subroutines.
+
+@ref{XREFqrupdate, , @code{qrupdate}}: Update a QR factorization given update vectors or matrices.
 
-@DOCSTRING(qrinsert)
+@ref{XREFqrinsert, , @code{qrinsert}}: Update a QR factorization given a row or column to insert in the
+original fac...
 
-@DOCSTRING(qrdelete)
-
-@DOCSTRING(qrshift)
+@ref{XREFqrdelete, , @code{qrdelete}}: Update a QR factorization given a row or column to delete from the
+original f...
 
-@DOCSTRING(qz)
+@ref{XREFqrshift, , @code{qrshift}}: Update a QR factorization given a range of columns to shift in the
+original f...
+
+@ref{XREFqz, , @code{qz}}: Compute the QZ decomposition of a generalized eigenvalue problem.
 
-@DOCSTRING(qzhess)
+@ref{XREFqzhess, , @code{qzhess}}: Compute the Hessenberg-triangular decomposition of the matrix pencil
+'(A, B)'...
 
-@DOCSTRING(schur)
+@ref{XREFschur, , @code{schur}}: Compute the Schur decomposition of A.
 
-@DOCSTRING(rsf2csf)
+@ref{XREFrsf2csf, , @code{rsf2csf}}: Convert a real, upper quasi-triangular Schur form TR to a complex, upper
+tria...
 
-@DOCSTRING(ordschur)
+@ref{XREFordschur, , @code{ordschur}}: Reorders the real Schur factorization (U,S) obtained with the 'schur'
+functio...
 
-@DOCSTRING(ordqz)
+@ref{XREFordqz, , @code{ordqz}}: Reorder the QZ decomposition of a generalized eigenvalue problem.
 
-@DOCSTRING(ordeig)
-
-@DOCSTRING(subspace)
+@ref{XREFordeig, , @code{ordeig}}: Return the eigenvalues of quasi-triangular matrices in their order of
+appeara...
 
-@DOCSTRING(svd)
+@ref{XREFsubspace, , @code{subspace}}: Determine the largest principal angle between two subspaces spanned by
+the co...
 
-@DOCSTRING(svd_driver)
+@ref{XREFsvd, , @code{svd}}: Compute the singular value decomposition of A.
+
+@ref{XREFsvd_driver, , @code{svd_driver}}: Query or set the underlying LAPACK driver used by 'svd'.
 
 @c FIXME: should there be a new section here?
 
-@DOCSTRING(housh)
+@ref{XREFhoush, , @code{housh}}: Compute Householder reflection vector HOUSV to reflect X to be the j-th
+colum...
 
-@DOCSTRING(krylov)
+@ref{XREFkrylov, , @code{krylov}}: Construct an orthogonal basis U of a block Krylov subspace.
 
 @node Functions of a Matrix
 @section Functions of a Matrix
 @cindex matrix, functions of
 
-@DOCSTRING(expm)
+@ref{XREFexpm, , @code{expm}}: Return the exponential of a matrix.
 
-@DOCSTRING(logm)
+@ref{XREFlogm, , @code{logm}}: Compute the matrix logarithm of the square matrix A.
 
-@DOCSTRING(sqrtm)
+@ref{XREFsqrtm, , @code{sqrtm}}: Compute the matrix square root of the square matrix A.
 
-@DOCSTRING(kron)
+@ref{XREFkron, , @code{kron}}: Form the Kronecker product of two or more matrices.
 
-@DOCSTRING(blkmm)
+@ref{XREFblkmm, , @code{blkmm}}: Compute products of matrix blocks.
 
-@DOCSTRING(sylvester)
+@ref{XREFsylvester, , @code{sylvester}}: Solve the Sylvester equation.
 
 @node Specialized Solvers
 @section Specialized Solvers
 @cindex matrix, specialized solvers
 
-@DOCSTRING(bicg)
+@ref{XREFbicg, , @code{bicg}}: Solve the linear system of equations 'A * X = B' by means of the
+Bi-Conjugate...
 
-@DOCSTRING(bicgstab)
-
-@DOCSTRING(cgs)
+@ref{XREFbicgstab, , @code{bicgstab}}: Solve 'A x = b' using the stabilized Bi-conjugate gradient iterative
+method.
 
-@DOCSTRING(gmres)
+@ref{XREFcgs, , @code{cgs}}: Solve 'A x = b', where A is a square matrix, using the Conjugate
+Gradients Sq...
 
-@DOCSTRING(qmr)
+@ref{XREFgmres, , @code{gmres}}: Solve 'A x = b' using the Preconditioned GMRES iterative method with
+restart,...
 
-@DOCSTRING(tfqmr)
+@ref{XREFqmr, , @code{qmr}}: Solve 'A x = b' using the Quasi-Minimal Residual iterative method
+(without lo...
+
+@ref{XREFtfqmr, , @code{tfqmr}}: Solve 'A x = b' using the Transpose-Tree qmr method, based on the cgs.
